<?php

namespace App\Modules\DefinedService\Route\Application\Update;

use App\Modules\Shared\Domain\Bus\Query\Query;

final class UpdateRouteQuery implements Query
{
    public function __construct(
        private int $id,
        private int $version,
        private int $status,
        private int $idAdmin
    ) {}

    public function id(): int
    {
        return $this->id;
    }

    public function version(): int
    {
        return $this->version;
    }

    public function status(): int
    {
        return $this->status;
    }

    public function idAdmin(): int
    {
        return $this->idAdmin;
    }
}
